Imagick::functionImage
Imagick::gammaImage
Imagick
PHP Manual

# Imagick::fxImage

Evaluate expression for each pixel in the image

### Description

Imagick Imagick::fxImage ( string `$expression` [, int `$channel` = Imagick::CHANNEL_ALL ] )

Evaluate expression for each pixel in the image. Consult » The Fx Special Effects Image Operator for more information.

### Parameters

`expression`

  The expression.

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.